%define upstream_name Net_IPv6
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.2.1
Release:     	%mkrel 2
Summary:    	Check and validate IPv6 addresses
License: 	BSD
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Net_IPv6-%{version}.tgz
URL: 		http://pear.php.net/package/Net_IPv6
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear
BuildArch: 	noarch

%description
The class allows you to:
* check if an address is an IPv6 address
* compress/uncompress IPv6 addresses
* check for an IPv4 compatible ending in an IPv6 address
* check the assigned address space of an IPv6 address
* do netmask calculations

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_IPv6.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_IPv6.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_IPv6
fi

%files
%defattr(-,root,root)

%{peardir}/*
%{xmldir}/Net_IPv6.xml


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.2.1-2.mga3
+ Revision: 376989
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 23 2012 spuhler <spuhler> 1.2.1-1.mga2
+ Revision: 200009
- upgrade to 1.2.0
  pearized spec file

* Sat Jan 29 2011 spuhler <spuhler> 1.1.0-1.mga1
+ Revision: 43816
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_IPv6

